Reports & Transactions
Lists all settlement reports
GET
/
settlements
/
reports
Lists all settlement reports
curl --request GET \
--url https://commerce1.on-hellgate.dev/settlements/reports \
--header 'X-API-Key: <api-key>'import requests
url = "https://commerce1.on-hellgate.dev/settlements/reports"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://commerce1.on-hellgate.dev/settlements/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"currency_code": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"date": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"settlement_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commission": 123,
"fee_type": "<string>",
"gross_credit_amount": 123,
"gross_debit_amount": 123,
"net_credit_amount": 123,
"net_debit_amount": 123,
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"reporting_period_end": "2023-11-07T05:31:56Z",
"reporting_period_start": "2023-11-07T05:31:56Z"
}
],
"next_page": 123
}{
"classifier": "<string>",
"code": 123,
"message": "<string>"
}Authorizations
Headers
Identifies the account. Required when authenticating via mTLS — omit when using an API key (account is inferred from the key).
Query Parameters
filter for reporting period start
ffilter for reporting period end
Page cursor for pagination
Maximum items per page
⌘I
Lists all settlement reports
